Overview
The Contract object represents an automation that your enterprise requests from a creator. For a typical integration, you’ll create an Account Connection for a creator in your system, then create a Contract referencing that account connection, before directing them opt in via a Connect Link.Methods
- Create
- Get
- List
- List for Account Connection
- Delete
POST /contractCreate a new contract for an account connection under your enterprise.
Body Parameters
Source of funds deposited into the creator’s account that will trigger this contract. Required if type is
deposit_split. See below for list of available deposit sources.Percentage of eligible deposit to transfer to your enterprise’s operating account. Either this or
split_fixed_amount_in_cents is required if type is deposit_split. Must be a number between 0 and 100.Fixed amount of eligible deposit to transfer to your enterprise’s operating account. Either this or
split_percent_amount is required if type is deposit_split. Must be a non-negative integer.Maximum amount of transfer to your enterprise’s operating account per eligible deposit. Must be a non-negative integer. If not provided, there is no maximum.
User defined data that can be attached to the object. See the User Data page for details.
Example
Properties
Status of account connection. One of
created, active, declined, terminated, or expired. Only users can activate a contract (through the Connect flow).An activity log that tracks the status changes, internal transfers, and any errors associated with a given contract.
User defined data that can be attached to the object. See the User Data page for details.